# Class RealmCallback

java.lang.Object
javax.security.auth.callback.TextInputCallback
javax.security.sasl.RealmCallback

All Implemented Interfaces:
  `Serializable, Callback`

public class RealmCallback extends TextInputCallback
This callback is used by `SaslClient` and `SaslServer` to retrieve realm information.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RealmCallback(String prompt)`
Constructs a `RealmCallback` with a prompt.
`RealmCallback(String prompt, String defaultRealmInfo)`
Constructs a `RealmCallback` with a prompt and default realm information.

## Method Summary

### Methods declared in class TextInputCallback

`getDefaultText, getPrompt, getText, setText`
Modifier and Type
Method
Description
`String`
`getDefaultText()`
Get the default text.
`String`
`getPrompt()`
Get the prompt.
`String`
`getText()`
Get the retrieved text.
`void`
`setText(String text)`
Set the retrieved text.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### RealmCallback

public RealmCallback(String prompt)
Constructs a `RealmCallback` with a prompt.

Parameters:
  `prompt` - The non-null prompt to use to request the realm information.
Throws:
  `IllegalArgumentException` - If `prompt` is null or the empty string.

### RealmCallback

public RealmCallback(String prompt, String defaultRealmInfo)
Constructs a `RealmCallback` with a prompt and default realm information.

Parameters:
  `prompt` - The non-null prompt to use to request the realm information.
  `defaultRealmInfo` - The non-null default realm information to use.
Throws:
  `IllegalArgumentException` - If `prompt` is null or the empty string, or if `defaultRealm` is empty or null.